<!DOCTYPE html>
<html>
<head>
	<!--If you specify the script tag in head tag, the head tag is loaded before body tag so it can reduce performance in case of bigger js files-->
	<script type="text/javascript" src="javascript_in_external.js"></script>
	<title>JS</title>
</head>
<body>
	<!--javascript is done for each element within their opening tags in this example-->
	<h1>What can JS do?</h1>
	<p id="demo">Javascript can change HTML content.</p>
	<button onclick="myFunction()">Click me to change things!</button>


	<hr>


	<button onclick="hide()">Turn lights ON</button>
	<img id="myImage" src="bulboff.jpg" height="250px" width="150px">
	<button onclick="show()">Turn lights OFF</button>


	<hr>


	<p id="magic">This is something that will show up by magic</p>
	<button onclick="hide2()">Hide the text magically</button>
	<button onclick="show2()">Show the text magically</button>

	<hr>
	<p id="alerter" onclick="alerter()">ALERT</p>
	<p id="document_writer" onclick="writedoc()">WRITE</p>
	<p id="log" onclick="logdoc()">LOG</p>
</body>
</html>